import unittest

class TestStartsWith(unittest.TestCase):

    def test_single_char_strings(self):
        self.assertTrue(starts_with('a', 'a'))
        self.assertFalse(starts_with('a', 'b'))

    def test_all_cases_short_string(self):
        self.assertTrue(starts_with('abc', ''))
        self.assertTrue(starts_with('abc', 'a'))
        self.assertTrue(starts_with('abc', 'ab'))
        self.assertTrue(starts_with('abc', 'abc'))
        self.assertFalse(starts_with('abc', 'abcd'))

    def test_mismatches(self):
        self.assertFalse(starts_with('abc', 'ab_'))
        self.assertFalse(starts_with('abc', 'a_c'))
        self.assertFalse(starts_with('abc', '_bc'))

def starts_with(str, prefix):
    return str[0:len(prefix)] == prefix

if __name__ == '__main__':
    unittest.main()
